<?php 
/**
 * Home Section
 *
 * @package express-movers
 */

$express_movers_default = express_movers_get_default_theme_options();

/** Slider Info section */
$wp_customize->add_section(
    'expressmovers_featured_category_info_section',
    array(
        'title'    => __( 'Category Info', 'express-movers' ),      
        'priority' => 1,
        'panel'      => 'express_movers_section_panel',       	
    )
);


// Enable Section
$wp_customize->add_setting('expressmovers_enable_featured_category_section', 
	array(
	'default' 			=> $express_movers_default['expressmovers_enable_featured_category_section'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'express_movers_sanitize_switch'
	)
);

$wp_customize->add_control('expressmovers_enable_featured_category_section', 
	array(		
	'label' 	=> __('Enable Section', 'express-movers'),
	'section' 	=> 'expressmovers_featured_category_info_section',
	'settings'  => 'expressmovers_enable_featured_category_section',
	'type' 		=> 'checkbox',	
	)
);


// Box 1 Icon
$wp_customize->add_setting('express_movers_category_box1_icon', 
    array(
    'default'           => __('fa-solid fa-truck-fast', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box1_icon', 
    array(
    'label'       => __('Box 1 Icon', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box1_icon',           
    'type'        => 'text'
    )
);

// Box 1 Heading
$wp_customize->add_setting('express_movers_category_box1_heading', 
    array(
    'default'           => __('Movers', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box1_heading', 
    array(
    'label'       => __('Box 1 Heading', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box1_heading',           
    'type'        => 'text'
    )
);

// Box 2 Icon
$wp_customize->add_setting('express_movers_category_box2_icon', 
    array(
    'default'           => __('fa-solid fa-truck-fast', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box2_icon', 
    array(
    'label'       => __('Box 2 Icon', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box2_icon',           
    'type'        => 'text'
    )
);

// Box 2 Heading
$wp_customize->add_setting('express_movers_category_box2_heading', 
    array(
    'default'           => __('Packers', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box2_heading', 
    array(
    'label'       => __('Box 2 Heading', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box2_heading',           
    'type'        => 'text'
    )
);

// Box 3 Icon
$wp_customize->add_setting('express_movers_category_box3_icon', 
    array(
    'default'           => __('fa-solid fa-truck-fast', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box3_icon', 
    array(
    'label'       => __('Box 3 Icon', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box3_icon',           
    'type'        => 'text'
    )
);

// Box 3 Heading
$wp_customize->add_setting('express_movers_category_box3_heading', 
    array(
    'default'           => __('Movers', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box3_heading', 
    array(
    'label'       => __('Box 3 Heading', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box3_heading',           
    'type'        => 'text'
    )
);

// Box 4 Icon
$wp_customize->add_setting('express_movers_category_box4_icon', 
    array(
    'default'           => __('fa-solid fa-truck-fast', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box4_icon', 
    array(
    'label'       => __('Box 4 Icon', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box4_icon',           
    'type'        => 'text'
    )
);

// Box 4 Heading
$wp_customize->add_setting('express_movers_category_box4_heading', 
    array(
    'default'           => __('Packers', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box4_heading', 
    array(
    'label'       => __('Box 4 Heading', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box4_heading',           
    'type'        => 'text'
    )
);


// Box 5 Icon
$wp_customize->add_setting('express_movers_category_box5_icon', 
    array(
    'default'           => __('fa-solid fa-truck-fast', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box5_icon', 
    array(
    'label'       => __('Box 5 Icon', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box5_icon',           
    'type'        => 'text'
    )
);

// Box 5 Heading
$wp_customize->add_setting('express_movers_category_box5_heading', 
    array(
    'default'           => __('Movers', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box5_heading', 
    array(
    'label'       => __('Box 5 Heading', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box5_heading',           
    'type'        => 'text'
    )
);

// Box 6 Icon
$wp_customize->add_setting('express_movers_category_box6_icon', 
    array(
    'default'           => __('fa-solid fa-truck-fast', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box6_icon', 
    array(
    'label'       => __('Box 6 Icon', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box6_icon',           
    'type'        => 'text'
    )
);

// Box 6 Heading
$wp_customize->add_setting('express_movers_category_box6_heading', 
    array(
    'default'           => __('Packers', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box6_heading', 
    array(
    'label'       => __('Box 6 Heading', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box6_heading',           
    'type'        => 'text'
    )
);

// Box 7 Icon
$wp_customize->add_setting('express_movers_category_box7_icon', 
    array(
    'default'           => __('fa-solid fa-truck-fast', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box7_icon', 
    array(
    'label'       => __('Box 7 Icon', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box7_icon',           
    'type'        => 'text'
    )
);

// Box 7 Heading
$wp_customize->add_setting('express_movers_category_box7_heading', 
    array(
    'default'           => __('Packers', 'express-movers'),
    'type'              => 'theme_mod',
    'capability'        => 'edit_theme_options',    
    'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control('express_movers_category_box7_heading', 
    array(
    'label'       => __('Box 6 Heading', 'express-movers'),
    'section'     => 'expressmovers_featured_category_info_section',   
    'settings'    => 'express_movers_category_box7_heading',           
    'type'        => 'text'
    )
);
